- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CoinMessages Class Reference

Class to hold and manipulate an array of massaged messages. More...

`#include <CoinMessageHandler.hpp>`

Inheritance diagram for CoinMessages:

[legend]
Collaboration diagram for CoinMessages:

[legend]
List of all members.

## Public Types
| us_en = 0
| uk_en
| it
enum | Language { us_en = 0, uk_en, it }
| Supported languages. More...
## Public Member Functions
Constructors etc
| CoinMessages (int numberMessages=0)
| Constructor with number of messages.
| ~CoinMessages ()
| Destructor.
| CoinMessages (const CoinMessages &)
| The copy constructor.
CoinMessages & | operator= (const CoinMessages &)
| assignment operator.
Useful stuff
void | addMessage (int messageNumber, const CoinOneMessage &message)
| Installs a new message in the specified index position.
void | replaceMessage (int messageNumber, const char *message)
| Replaces the text of the specified message.
Language | language () const
| Language.
void | setLanguage (Language language)
| Set language.
void | setDetailMessage (int newLevel, int messageNumber)
| Change detail level for one message.
void | setDetailMessages (int newLevel, int numberMessages, int *messageNumbers)
| Change detail level for several messages.
void | setDetailMessages (int newLevel, int low, int high)
| Change detail level for all messages with low <= ID number < high.
int | getClass () const
| Returns class.
void | toCompact ()
| Moves to compact format.
void | fromCompact ()
| Moves from compact format.
## Public Attributes
member data
int | numberMessages_
| Number of messages.
Language | language_
| Language.
char | source_ [5]
| Source (null-terminated string, maximum 4 characters).
int | class_
| Class - see later on before CoinMessageHandler.
int | lengthMessages_
| Length of fake CoinOneMessage array.
CoinOneMessage ** | message_
| Messages.

## Detailed Description

Class to hold and manipulate an array of massaged messages.

Note that the message index used to reference a message in the array of messages is completly distinct from the external ID number stored with the message.

Definition at line 125 of file CoinMessageHandler.hpp.

## Member Enumeration Documentation

enum CoinMessages::Language

Supported languages.

These are the languages that are supported. At present only us_en is serious and the rest are for testing.

Enumerator:

  us_en |
  uk_en |
  it |

Definition at line 133 of file CoinMessageHandler.hpp.

## Constructor & Destructor Documentation

CoinMessages::CoinMessages | ( | int | numberMessages = `0` | ) |

Constructor with number of messages.

CoinMessages::~CoinMessages | ( |  | ) |

Destructor.

CoinMessages::CoinMessages | ( | const CoinMessages & |  | ) |

The copy constructor.

## Member Function Documentation

CoinMessages& CoinMessages::operator= | ( | const CoinMessages & |  | ) |

assignment operator.

void CoinMessages::addMessage | ( | int | messageNumber,
|  | const CoinOneMessage & | message |
| ) |  |  |

Installs a new message in the specified index position.

Any existing message is replaced, and a copy of the specified message is installed.

void CoinMessages::replaceMessage | ( | int | messageNumber,
|  | const char * | message |
| ) |  |  |

Replaces the text of the specified message.

Any existing text is deleted and the specified text is copied into the specified message.

Language CoinMessages::language | ( |  | ) | const`[inline]`

Language.

Need to think about iso codes

Definition at line 166 of file CoinMessageHandler.hpp.

References language_.

void CoinMessages::setLanguage | ( | Language | language | ) | `[inline]`

Set language.

Definition at line 169 of file CoinMessageHandler.hpp.

References language_.

void CoinMessages::setDetailMessage | ( | int | newLevel,
|  | int | messageNumber |
| ) |  |  |

Change detail level for one message.

void CoinMessages::setDetailMessages | ( | int | newLevel,
|  | int | numberMessages,
|  | int * | messageNumbers |
| ) |  |  |

Change detail level for several messages.

messageNumbers is expected to contain the indices of the messages to be changed. If numberMessages >= 10000 or messageNumbers is NULL, the detail level is changed on all messages.

void CoinMessages::setDetailMessages | ( | int | newLevel,
|  | int | low,
|  | int | high |
| ) |  |  |

Change detail level for all messages with low <= ID number < high.

int CoinMessages::getClass | ( |  | ) | const`[inline]`

Returns class.

Definition at line 185 of file CoinMessageHandler.hpp.

References class_.

void CoinMessages::toCompact | ( |  | ) |

Moves to compact format.

void CoinMessages::fromCompact | ( |  | ) |

Moves from compact format.

## Member Data Documentation

int CoinMessages::numberMessages_

Number of messages.

Definition at line 196 of file CoinMessageHandler.hpp.

Language CoinMessages::language_

Language.

Definition at line 198 of file CoinMessageHandler.hpp.

Referenced by language(), and setLanguage().

char CoinMessages::source_[5]

Source (null-terminated string, maximum 4 characters).

Definition at line 200 of file CoinMessageHandler.hpp.

int CoinMessages::class_

Class - see later on before CoinMessageHandler.

Definition at line 202 of file CoinMessageHandler.hpp.

Referenced by getClass().

int CoinMessages::lengthMessages_

Length of fake CoinOneMessage array.

First you get numberMessages_ pointers which point to stuff

Definition at line 206 of file CoinMessageHandler.hpp.

CoinOneMessage** CoinMessages::message_

Messages.

Definition at line 208 of file CoinMessageHandler.hpp.

Referenced by CoinMessageHandler::detail().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Osi-0.98.1/CoinUtils/src/CoinMessageHandler.hpp